
From: "R. J. Wysocki" <Rafal.Wysocki@fuw.edu.pl>

First, the 2.6.1-mm1 does not compile on x86_64 when CONFIG_KDBG is not set.  
Second, you can't "make xconfig" on SuSE 9.0 64-bit (AMD64).  Attached is a 
patch to fix this (I don't know if I use the right #define for kdbg here, so 
please verify).




---

 arch/x86_64/kernel/irq.c |    2 ++
 scripts/kconfig/Makefile |    2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff -puN arch/x86_64/kernel/irq.c~kgdb-x86_64-build-fix arch/x86_64/kernel/irq.c
--- 25/arch/x86_64/kernel/irq.c~kgdb-x86_64-build-fix	2004-01-10 14:26:02.000000000 -0800
+++ 25-akpm/arch/x86_64/kernel/irq.c	2004-01-10 14:26:02.000000000 -0800
@@ -406,7 +406,9 @@ out:
 
 	irq_exit();
 
+#ifdef CONFIG_KGDB_IRQ
 	kgdb_process_breakpoint();
+#endif
 
 	return 1;
 }
diff -puN scripts/kconfig/Makefile~kgdb-x86_64-build-fix scripts/kconfig/Makefile
--- 25/scripts/kconfig/Makefile~kgdb-x86_64-build-fix	2004-01-10 14:26:02.000000000 -0800
+++ 25-akpm/scripts/kconfig/Makefile	2004-01-10 14:26:02.000000000 -0800
@@ -95,7 +95,7 @@ clean-files	:= libkconfig.so lkc_defs.h 
 HOSTCFLAGS_lex.zconf.o	:= -I$(src)
 HOSTCFLAGS_zconf.tab.o	:= -I$(src)
 
-HOSTLOADLIBES_qconf	= -L$(QTDIR)/lib -Wl,-rpath,$(QTDIR)/lib -l$(QTLIB) -ldl
+HOSTLOADLIBES_qconf	= -L$(QTDIR)/lib -L$(QTDIR)/lib64 -Wl,-rpath,$(QTDIR)/lib -l$(QTLIB) -ldl
 HOSTCXXFLAGS_qconf.o	= -I$(QTDIR)/include 
 
 HOSTLOADLIBES_gconf	= `pkg-config gtk+-2.0 gmodule-2.0 libglade-2.0 --libs`

_
